## dv1394src dv1394src — Source for DV video data from firewire port |

## Synopsis

    struct              GstDV1394Src;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseSrc
                               +----GstPushSrc
                                     +----GstDV1394Src

## Implemented Interfaces

GstDV1394Src implements GstURIHandler and GstPropertyProbe.

## Properties

      "channel"                  gint                  : Read / Write
      "consecutive"              gint                  : Read / Write
      "drop-incomplete"          gboolean              : Read / Write
      "guid"                     guint64               : Read / Write
      "port"                     gint                  : Read / Write
      "skip"                     gint                  : Read / Write
      "use-avc"                  gboolean              : Read / Write
      "device-name"              gchar*                : Read

## Signals

      "frame-dropped"                                  : Run Last

## Description

## Synopsis

### Element Information

plugin | 1394
author | Erik Walthinsen <omega@temple-baptist.com>, Daniel Fischer <dan@f3c.com>, Wim Taymans <wim@fluendo.com>, Zaheer Abbas Merali <zaheerabbas at merali dot org>
class | Source/Video

### Element Pads

name | src
direction | source
presence | always
details | video/x-dv, format=(string){ NTSC, PAL }, systemstream=(boolean)true

## Details

### struct GstDV1394Src

    struct GstDV1394Src;

## Property Details

### The `"channel"` property

      "channel"                  gint                  : Read / Write

Channel number for listening.

Allowed values: [0,64]

Default value: 63

### The `"consecutive"` property

      "consecutive"              gint                  : Read / Write

send n consecutive frames after skipping.

Allowed values: >= 1

Default value: 1

### The `"drop-incomplete"` property

      "drop-incomplete"          gboolean              : Read / Write

drop incomplete frames.

Default value: TRUE

### The `"guid"` property

      "guid"                     guint64               : Read / Write

select one of multiple DV devices by its GUID. use a hexadecimal like 0xhhhhhhhhhhhhhhhh. (0 = no guid).

Default value: 0

### The `"port"` property

      "port"                     gint                  : Read / Write

Port number (-1 automatic).

Allowed values: [G_MAXULONG,16]

Default value: -1

### The `"skip"` property

      "skip"                     gint                  : Read / Write

skip n frames.

Allowed values: >= 0

Default value: 0

### The `"use-avc"` property

      "use-avc"                  gboolean              : Read / Write

Use AV/C VTR control.

Default value: TRUE

### The `"device-name"` property

      "device-name"              gchar*                : Read

user-friendly name of the device.

Default value: "Default"

## Signal Details

### The `"frame-dropped"` signal

    void                user_function                      (GstDV1394Src *gstdv1394src,
                                                            gpointer      user_data)         : Run Last

`gstdv1394src` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.